NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.RoutingCommon.CreatePathBuilder Class Reference

Represents NXOpen.RoutingCommon.CreatePathBuilder . More...

Inheritance diagram for NXOpen.RoutingCommon.CreatePathBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe
NXOpen.RoutingCommon.PathTransitionListManagerBuilder 
CreatePathTransitionManagerBuilder (NXOpen.Part workPart, NXOpen.Assemblies.Component workOcc, NXOpen.Part displayPart)
 Creates a NXOpen.RoutingCommon.PathTransitionListManagerBuilder object. More...
 
unsafe void GetBendCornerAttributes (out NXOpen.NXObject.AttributeInformation[] attributes)
 Gets the corner attributes that came from the bend radius table. More...
 
unsafe void GetLogicalObjects (out NXOpen.PDM.LogicalObject[] logicalObjects)
 Returns the PDM.LogicalObject s that represent the content that will be created by this builder. More...
 
unsafe void PreCommit ()
 Performs the operations needed prior to a commit. More...
 
unsafe void RemoveBendCornerAttributes (NXOpen.Routing.Corner[] corners)
 Removes the corner attributes that came from the bend radius table. More...
 
unsafe void SetBendCornerAttributes (NXOpen.NXObject.AttributeInformation[] attributes)
 Sets the corner attributes that came from the bend radius table. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.RoutingCommon.BendCornerTypeBuilder 
BendCornerSettings [get]
 Returns the builder to assign corners to the routing path. More...
 
unsafe
NXOpen.RoutingCommon.CornerBuilder 
CornerSettings [get]
 Returns the builder to assign corners to the routing path. More...
 
unsafe
NXOpen.RoutingCommon.PathTransitionListManagerBuilder 
PathTransitionListManagerBuilder [get]
 Returns the builder for managing path transitions that make up the path. More...
 
unsafe bool PlaceDefaultElbow [get, set]
 Returns or sets the setting to determine whether to assign the default elbow to new segments. More...
 
unsafe bool SimplifyPath [get, set]
 Returns or sets the setting to determine whether to simplify the path by removing collinear extension Routing Control Points. More...
 
unsafe double SnapAngle [get, set]
 Returns or sets the angle tolerance to snap to a location that allows a valid placement of an elbow. More...
 
unsafe bool SnapToElbowAngles [get, set]
 Returns or sets the setting to determine whether to force the new control point to automatically snap to a location that allows a valid placement of an elbow. More...
 
unsafe
NXOpen.Routing.StockBlockBuilder 
StockSettings [get]
 Returns the builder for assigning stock to the new path. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents NXOpen.RoutingCommon.CreatePathBuilder .

Allows the user to create routing path.

To create a new instance of this class, use NXOpen.RoutingCommon.BuilderFactory.CreatePathBuilder

Default values.

Property Value

BendCornerSettings.Method (deprecated)

Radius

BendCornerSettings.Radius.Value (deprecated)

0 (millimeters part), 0 (inches part)

BendCornerSettings.RatioToDiameter.Value (deprecated)

0 (millimeters part), 0 (inches part)

CornerSettings.CornerType

None

Created in NX11.0.0

Member Function Documentation

unsafe NXOpen.RoutingCommon.PathTransitionListManagerBuilder NXOpen.RoutingCommon.CreatePathBuilder.CreatePathTransitionManagerBuilder ( NXOpen.Part  workPart,
NXOpen.Assemblies.Component  workOcc,
NXOpen.Part  displayPart 
)
inline

Creates a NXOpen.RoutingCommon.PathTransitionListManagerBuilder object.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
workPart
workOcc
displayPart
Returns
unsafe void NXOpen.RoutingCommon.CreatePathBuilder.GetBendCornerAttributes ( out NXOpen.NXObject.AttributeInformation[]  attributes)
inline

Gets the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
attributes
unsafe void NXOpen.RoutingCommon.CreatePathBuilder.GetLogicalObjects ( out NXOpen.PDM.LogicalObject[]  logicalObjects)
inline

Returns the PDM.LogicalObject s that represent the content that will be created by this builder.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
logicalObjects
unsafe void NXOpen.RoutingCommon.CreatePathBuilder.PreCommit ( )
inline

Performs the operations needed prior to a commit.

This method has to be called before invoking commit.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.RoutingCommon.CreatePathBuilder.RemoveBendCornerAttributes ( NXOpen.Routing.Corner[]  corners)
inline

Removes the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
corners
unsafe void NXOpen.RoutingCommon.CreatePathBuilder.SetBendCornerAttributes ( NXOpen.NXObject.AttributeInformation[]  attributes)
inline

Sets the corner attributes that came from the bend radius table.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
attributes

Property Documentation

unsafe NXOpen.RoutingCommon.BendCornerTypeBuilder NXOpen.RoutingCommon.CreatePathBuilder.BendCornerSettings
get

Returns the builder to assign corners to the routing path.

Created in NX11.0.0

Deprecated in NX11.0.1. Use NXOpen.RoutingCommon.CreatePathBuilder.CornerSettings instead.

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.CornerBuilder NXOpen.RoutingCommon.CreatePathBuilder.CornerSettings
get

Returns the builder to assign corners to the routing path.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.PathTransitionListManagerBuilder NXOpen.RoutingCommon.CreatePathBuilder.PathTransitionListManagerBuilder
get

Returns the builder for managing path transitions that make up the path.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.CreatePathBuilder.PlaceDefaultElbow
getset

Returns or sets the setting to determine whether to assign the default elbow to new segments.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.CreatePathBuilder.SimplifyPath
getset

Returns or sets the setting to determine whether to simplify the path by removing collinear extension Routing Control Points.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe double NXOpen.RoutingCommon.CreatePathBuilder.SnapAngle
getset

Returns or sets the angle tolerance to snap to a location that allows a valid placement of an elbow.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.CreatePathBuilder.SnapToElbowAngles
getset

Returns or sets the setting to determine whether to force the new control point to automatically snap to a location that allows a valid placement of an elbow.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Routing.StockBlockBuilder NXOpen.RoutingCommon.CreatePathBuilder.StockSettings
get

Returns the builder for assigning stock to the new path.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.